package com.ruoyi.sim.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sim.mapper.RealExamCollectionDeptMapper;
import com.ruoyi.sim.domain.RealExamCollectionDept;

/**
 * 考试集合班级关联Service业务层处理
 *
 * @author tom
 * @date 2024-12-13
 */
@Service
public class RealExamCollectionDeptService {
    @Autowired
    private RealExamCollectionDeptMapper realExamCollectionDeptMapper;

    /**
     * 查询考试集合班级关联
     *
     * @param relId 考试集合班级关联主键
     * @return 考试集合班级关联
     */
    public RealExamCollectionDept selectRealExamCollectionDeptByRelId(Long relId) {
        return realExamCollectionDeptMapper.selectRealExamCollectionDeptByRelId(relId);
    }

    /**
     * 查询考试集合班级关联列表
     *
     * @param realExamCollectionDept 考试集合班级关联
     * @return 考试集合班级关联
     */
    public List<RealExamCollectionDept> selectRealExamCollectionDeptList(RealExamCollectionDept realExamCollectionDept) {
        return realExamCollectionDeptMapper.selectRealExamCollectionDeptList(realExamCollectionDept);
    }

    /**
     * 新增考试集合班级关联
     *
     * @param realExamCollectionDept 考试集合班级关联
     * @return 结果
     */
    public int insertRealExamCollectionDept(RealExamCollectionDept realExamCollectionDept) {
        return realExamCollectionDeptMapper.insertRealExamCollectionDept(realExamCollectionDept);
    }

    /**
     * 修改考试集合班级关联
     *
     * @param realExamCollectionDept 考试集合班级关联
     * @return 结果
     */
    public int updateRealExamCollectionDept(RealExamCollectionDept realExamCollectionDept) {
        realExamCollectionDept.setUpdateTime(DateUtils.getNowDate());
        return realExamCollectionDeptMapper.updateRealExamCollectionDept(realExamCollectionDept);
    }

    /**
     * 批量删除考试集合班级关联
     *
     * @param relIds 需要删除的考试集合班级关联主键
     * @return 结果
     */
    public int deleteRealExamCollectionDeptByRelIds(Long[] relIds) {
        return realExamCollectionDeptMapper.deleteRealExamCollectionDeptByRelIds(relIds);
    }

    /**
     * 删除考试集合班级关联信息
     *
     * @param relId 考试集合班级关联主键
     * @return 结果
     */
    public int deleteRealExamCollectionDeptByRelId(Long relId) {
        return realExamCollectionDeptMapper.deleteRealExamCollectionDeptByRelId(relId);
    }
}
